﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.0</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="OpenTelemetric\ITagger.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="EntityFramework" Version="6.3.0" />
    <PackageReference Include="MongoDB.Driver.Core" Version="2.9.3" />
    <PackageReference Include="MongoDbClient" Version="1.0.22" />
    <PackageReference Include="MongoRepository" Version="1.6.11" />
    <PackageReference Include="OpenTelemetry" Version="0.2.0-alpha.100" />
    <PackageReference Include="OpenTelemetry.Api" Version="0.2.0-alpha.100" />
    <PackageReference Include="OpenTelemetry.Collector.AspNetCore" Version="0.2.0-alpha.100" />
    <PackageReference Include="OpenTelemetry.Collector.Dependencies" Version="0.2.0-alpha.100" />
    <PackageReference Include="OpenTelemetry.Collector.StackExchangeRedis" Version="0.2.0-alpha.100" />
    <PackageReference Include="OpenTelemetry.Exporter.ApplicationInsights" Version="0.2.0-alpha.100" />
    <PackageReference Include="OpenTelemetry.Exporter.Jaeger" Version="0.2.0-alpha.100" />
    <PackageReference Include="OpenTelemetry.Exporter.LightStep" Version="0.2.0-alpha.100" />
    <PackageReference Include="OpenTelemetry.Exporter.Ocagent" Version="0.2.0-alpha.40" />
    <PackageReference Include="OpenTelemetry.Exporter.Prometheus" Version="0.2.0-alpha.100" />
    <PackageReference Include="OpenTelemetry.Exporter.Stackdriver" Version="0.2.0-alpha.100" />
    <PackageReference Include="OpenTelemetry.Exporter.Zipkin" Version="0.2.0-alpha.100" />
    <PackageReference Include="OpenTelemetry.Hosting" Version="0.2.0-alpha.100" />
    <PackageReference Include="OpenTelemetry.Shims.OpenTracing" Version="0.2.0-alpha.100" />
    <PackageReference Include="Steeltoe.Extensions.Configuration.CloudFoundryCore" Version="2.4.0" />
    <PackageReference Include="Steeltoe.Extensions.Configuration.ConfigServerCore" Version="2.4.0" />
    <PackageReference Include="Steeltoe.Extensions.Configuration.PlaceholderCore" Version="2.4.0" />
    <PackageReference Include="Steeltoe.Extensions.Configuration.RandomValueBase" Version="2.4.0" />
    <PackageReference Include="Steeltoe.Management.ExporterCore" Version="2.4.0" />
    <PackageReference Include="Steeltoe.Management.CloudFoundryCore" Version="2.4.0" />
    <PackageReference Include="Steeltoe.CircuitBreaker.HystrixCore" Version="2.4.0" />
    <PackageReference Include="MySql.Data" Version="8.0.18" />
    <PackageReference Include="Npgsql" Version="4.1.2" />
    <PackageReference Include="Newtonsoft.Json" Version="12.0.3" />
    <PackageReference Include="Steeltoe.Discovery.ClientCore" Version="2.4.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="3.0.1" />
    <PackageReference Include="Microsoft.Extensions.Caching.Redis" Version="2.2.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="3.0.1" />
    <PackageReference Include="Steeltoe.CloudFoundry.Connector.EFCore" Version="2.4.0" />
    <PackageReference Include="Steeltoe.CloudFoundry.ConnectorCore" Version="2.4.0" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="3.0.1" />
    <PackageReference Include="MongoDB.Driver" Version="2.9.3" />
    <PackageReference Include="RabbitMQ.Client" Version="5.1.0" />
    <PackageReference Include="Steeltoe.Extensions.Logging.DynamicLogger" Version="2.4.0" />
    <PackageReference Include="Steeltoe.Management.OpenCensus" Version="2.4.0" />
    <PackageReference Include="Steeltoe.Management.OpenCensus.Abstractions" Version="2.4.0" />
    <PackageReference Include="Steeltoe.Management.OpenCensusBase" Version="2.4.0" />
    <PackageReference Include="Steeltoe.Management.TracingBase" Version="2.4.0" />
    <PackageReference Include="System.Data.SqlClient" Version="4.7.0" />
  </ItemGroup>


  <ItemGroup>
    <PackageReference Include="Microsoft.DotNet.PlatformAbstractions" Version="3.1.0-preview3.19553.2" />
    <PackageReference Include="prometheus-net" Version="3.3.0" />
    <PackageReference Include="Prometheus.Client" Version="3.0.3" />
    <PackageReference Include="Prometheus.Client.AspNetCore" Version="3.0.1" />
    <PackageReference Include="Prometheus.Client.HttpRequestDurations" Version="2.1.2" />
    <PackageReference Include="prometheus-net.DotNetRuntime" Version="3.3.0" />
    <PackageReference Include="prometheus-net.AspNetCore" Version="3.3.0" />
  </ItemGroup>

</Project>
